<div style="padding-bottom:15px">
  <a class="btn btn-primary btn-sm" role="button" routerLink="/users/create"><i class="fa fa-plus"> Create</i></a>
  <button type="button" class="btn btn-danger btn-sm" (click)="delete()" [disabled]="selected.length === 0"><i class="fa fa-minus"> Delete</i></button>
</div>

<div class="table-responsive">
  <table class="table table-hover table-sm">
    <thead>
      <tr>
        <th>
          <app-action-cb-all [selected]="selected" [selectable]="users" (checkedChange)="checkedChange($event)"></app-action-cb-all>
        </th>
        <th>Name</th>
        <th>State</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let user of users">
        <td>
          <app-action-cb [selected]="selected" [identifier]="user.id"></app-action-cb>
        </td>
        <td>
          <a [routerLink]="'/users/' + user.id">{{ user.name }}</a>
        </td>
        <td>
          <app-state-icon [stateBool]="user.enabled"></app-state-icon>
        </td>
      </tr>
    </tbody>
  </table>
</div>
